Subject: bug#407: eudev preinst fails to detect availability of requisite kernel features

From: KORN Andras <[email-masked]>
Date: Wed, 11 Mar 2020 18:24:03 +0100

Package: eudev
Version: 3.2.9-7
Severity: normal

Hi,

this code:

  if [ -e /proc/kallsyms ]; then

      local needed_symbols='inotify_init signalfd accept4 open_by_handle_at timerfd_create epoll_create'
      for symbol in $needed_symbols; do
      if ! egrep -q "^[a-fA-F0-9]+ T \.?sys_${symbol}$" /proc/kallsyms; then
          cat <<END
Since release 198, udev requires support for the following features in
the running kernel:

- inotify(2)            (CONFIG_INOTIFY_USER)
- signalfd(2)           (CONFIG_SIGNALFD)
- accept4(2)
- open_by_handle_at(2)  (CONFIG_FHANDLE)
- timerfd_create(2)     (CONFIG_TIMERFD)
- epoll_create(2)       (CONFIG_EPOLL)
END
          exit 1
      fi
      done
  fi

thought that my kernel was missing one of the required features, but in fact I have all of them:

ffffffffab1bd402 T __ia32_sys_inotify_init
ffffffffab1bd402 T __x64_sys_inotify_init
ffffffffab1c1554 T __x64_sys_signalfd
ffffffffab1c1562 T __ia32_sys_signalfd
ffffffffab1c15fb T __ia32_compat_sys_signalfd
ffffffffab1c160d T __x32_compat_sys_signalfd
ffffffffab473fc5 T __sys_accept4
ffffffffab474170 T __x64_sys_accept4
ffffffffab474188 T __ia32_sys_accept4
ffffffffab1d5118 T __ia32_sys_open_by_handle_at
ffffffffab1d512a T __ia32_compat_sys_open_by_handle_at
ffffffffab1d513a T __x32_compat_sys_open_by_handle_at
ffffffffab1d514b T __x64_sys_open_by_handle_at
ffffffffab1c1c84 T __x64_sys_timerfd_create
ffffffffab1c1c91 T __ia32_sys_timerfd_create
ffffffffab1c029d T __ia32_sys_epoll_create
ffffffffab1c02b4 T __x64_sys_epoll_create

The regex is wrong; it should probably be

      if ! egrep -q "^[a-fA-F0-9]+ T .*sys_${symbol}$" /proc/kallsyms; then

This is with a self-built 4.19.23 kernel, fwiw.

-- Package-specific info:

-- System Information:
Init: runit (via /run/runit.stopit)

Best regards,

András

Ps. Please Cc me explicitly if you reply.

-- 
         Some people are like slinkies. Not really good for anything,
     yet you can't help but smile when you see one pushed down the stairs.

---

From: Arne Wichmann <[email-masked]>
Date: Mon, 26 Apr 2021 18:28:22 +0200

reopen 383
forcemerge 407 383
tags 407 + patch
thanks

After looking a bit more deeply into this I find that it is still open.

It only bites if you are running a too new kernel while upgrading from
someting below 3.2.7-1 to 3.2.7-1 or greater. And while not being chrooted.

I propose the patch of András:

--- ./eudev.preinst     2020-11-07 21:09:24.000000000 +0100
+++ /tmp/eudev.preinst  2021-04-26 18:25:02.970434903 +0200
@@ -18,7 +18,7 @@

       local needed_symbols='inotify_init signalfd accept4 open_by_handle_at timerfd_create epoll_create'
       for symbol in $needed_symbols; do
-      if ! egrep -q "^[a-fA-F0-9]+ T \.?sys_${symbol}$" /proc/kallsyms; then
+      if ! egrep -q "^[a-fA-F0-9]+ T .*sys_${symbol}$" /proc/kallsyms; then
          cat <<END
 Since release 198, udev requires support for the following features in
 the running kernel:

----
It leaves open corner cases but less than the version before.

cu

AW
-- 
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Arne Wichmann ([email-masked])

---

From: "Devuan bug Tracking System" <[email-masked]>
Date: Sun, 05 Sep 2021 22:52:07 +0000

This is an automatic notification regarding your bug report
which was filed against the eudev package:

#407: eudev preinst fails to detect availability of requisite kernel features

It has been closed by [email-masked].

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact [email-masked] by
replying to this email.

-- 
407: https://bugs.devuan.org/cgi/bugreport.cgi?bug=407
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: #407: fixed in src:eudev version 3.2.9-10
From: [email-masked]
To: [email-masked]
Date: Sun, 05 Sep 2021 21:29:25 +0000

Version: 3.2.9-10

Source package eudev (3.2.9-10) added to Devuan suite unstable.

This closes bug report 407.

Thanks

DAK managing the Devuan archive

Format: 1.8
Date: Sat, 04 Sep 2021 13:05:24 +0200
Source: eudev
Architecture: source
Version: 3.2.9-10
Distribution: unstable
Urgency: high
Maintainer: Devuan Dev Team <[email-masked]>
Changed-By: Svante Signell <[email-masked]>
Closes: 407 598 600
Changes:
 eudev (3.2.9-10) unstable; urgency=high
 .
   * debian/eudev.maintscript: Remove. Fixes build with debhelper 13.5.
   * debian/changelog: Fix indentation and long lines.
   * debian/eudev.preinst: Fix detection of needed kernel features for
     recent kernels. (Closes: #407, #598)
   * debian/control: Remove dependency on debconf.
   * debian/eudev.postrm: Remove db_purge since we no longer use debconf.
     (Closes: #600)
Checksums-Sha1:
 5ce112896d9724eaa7b38fa98987e9c7a088b4c4 2349 eudev_3.2.9-10.dsc
 7828272d2f41b7934340975d0e1c4d788780060b 62388 eudev_3.2.9-10.debian.tar.xz
 33c9448e580a35ff8d503846fc70814b36194f98 5158 eudev_3.2.9-10_source.buildinfo
Checksums-Sha256:
 6edeac63382214a78eb0ee2267021ef32617155c20aea71cbdeff22e65e20e6d 2349 eudev_3.2.9-10.dsc
 3a9198b282ae092f28a4f0766c35d8369f5ac7a2e41b48842bd2cd5a655d8838 62388 eudev_3.2.9-10.debian.tar.xz
 0f218435c089746fa805aed6eda76705c944b2081e7e51a6d7e8bd35ae104e3b 5158 eudev_3.2.9-10_source.buildinfo
Files:
 3fd2203af8cb37e2d5a2f3deffbddace 2349 admin optional eudev_3.2.9-10.dsc
 1aebdadfe119630c4aa38925e6487428 62388 admin optional eudev_3.2.9-10.debian.tar.xz
 e2621664cfd62622da0206b953c1ac27 5158 admin optional eudev_3.2.9-10_source.buildinfo

Subject: eudev preinst fails to detect availability of requisite kernel features
From: KORN Andras <[email-masked]>
To: Devuan Bug Tracking System <[email-masked]>
Date: Wed, 11 Mar 2020 18:24:03 +0100

Package: eudev
Version: 3.2.9-7
Severity: normal

Hi,

this code:

-- System Information:

Best regards,

András

---

From: "Devuan bug Tracking System" <[email-masked]>
Date: Sun, 05 Sep 2021 22:52:16 +0000

#383: eudev: Probably incorrect installation error about missing kernel sumbols.

Version: 3.2.9-10

Thanks

Format: 1.8

Subject: eudev: Probably incorrect installation error about missing kernel sumbols.
From: Arne Wichmann <[email-masked]>
To: Devuan Bug Tracking System <[email-masked]>
Date: Tue, 28 Jan 2020 13:17:07 +0100

Package: eudev
Version: 3.2.2-13
Severity: grave

Dear Maintainer,

When installing eudev I get:

Grepping through /proc/kallsyms gives me:
0000000000000000 t do_inotify_init
0000000000000000 T __x64_sys_inotify_init1
0000000000000000 T __ia32_sys_inotify_init1
0000000000000000 T __ia32_sys_inotify_init
0000000000000000 T __x64_sys_inotify_init

Do I miss something or did some interfaces change?

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 9 (n/a)
Release:	9
Codename:	n/a
Architecture: x86_64

Kernel: Linux 5.4.0-3-amd64 (SMP w/4 CPU cores)
Kernel taint flags: TAINT_CRAP
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages eudev depends on:
ii  adduser      3.115
ii  debconf      1.5.61
ii  libblkid1    2.33.1-0.1+devuan1
ii  libc6        2.29-9
ii  libeudev1    3.2.2-13
ii  libkmod2     23-2
ii  libselinux1  3.0-1
ii  lsb-base     9.20161125
ii  procps       2:3.3.12-3+devuan2.1
ii  util-linux   2.29.2-1+devuan2.1

eudev recommends no packages.

eudev suggests no packages.

-- no debconf information

---

From: Miya He <[email-masked]>
Date: Fri, 12 Jan 2024 11:26:09 +0800

To our valuable partner,

I hope this email finds you well. My name is Miya He. I would like to introduce you the full range of monitoring solutions offered by Lepu Medical, one of Chinese largest medical devices manufacture companies.

Our monitoring solutions include various sizes of monitors, ranging from 7-inch emergency monitors to 12-15 inch bedside/ICU monitors, with a comprehensive set of features to different needs and scenarios.

With parameters such as nellcor, ibp, etco2, and ews, our monitors are able to comprehensively monitor patients' vital signs and changes in their conditions.

In addition, our monitoring solutions are competitively priced, offering high quality of patient monitors.

Please do not hesitate to contact us. We would be happy to assist you with any queries you may have.

Thank you for your attention and support, and we look forward  to work with you.

Best Regards,

何美霞 Miya He

Mobile: +86-15986638292

Wechat/Whatsapp/Skype: +86-13410244937

----------------------------------------------------------------------------------------------------
Lepu Medical Technology Beijing Co Ltd    (StockCode 300003:CH Shenzhen)
Add: Building 3, No.37 Chaoqian Rd., Changping District, Beijing- China, 102200
Part of Subsidiaries

Unsubscribe
The Emails From [email-masked]